## org.codehaus.groovy.grails.plugins.web.taglib
Class FormatTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.FormatTagLib

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class FormatTagLib

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`FormatTagLib()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getEncodeAs()`
`Object` `getFormatBoolean()`
`Object` `getFormatDate()`
`Object` `getFormatNumber()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static Object` `getReturnObjectForTags()`
`Object` `invokeMethod(String method, Object arguments)`
`String` `messageHelper(Object code)`
`String` `messageHelper(Object code, Object defaultMessage)`
`String` `messageHelper(Object code, Object defaultMessage, Object args)`
`String` `messageHelper(Object code, Object defaultMessage, Object args, Object locale)`
`Object` `parseStyle(Object styleStr)`
`Object` `resolveLocale(Object localeAttr)`
`void` `setEncodeAs(Object value)`
`void` `setFormatBoolean(Object value)`
`void` `setFormatDate(Object value)`
`void` `setFormatNumber(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`static void` `setReturnObjectForTags(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatTagLib

    public FormatTagLib()

Method Detail

### getReturnObjectForTags

    public static Object getReturnObjectForTags()

### setReturnObjectForTags

    public static void setReturnObjectForTags(Object value)

### getFormatBoolean

    public Object getFormatBoolean()

### setFormatBoolean

    public void setFormatBoolean(Object value)

### getFormatDate

    public Object getFormatDate()

### setFormatDate

    public void setFormatDate(Object value)

### getFormatNumber

    public Object getFormatNumber()

### setFormatNumber

    public void setFormatNumber(Object value)

### getEncodeAs

    public Object getEncodeAs()

### setEncodeAs

    public void setEncodeAs(Object value)

### messageHelper

    public String messageHelper(Object code,
                                Object defaultMessage,
                                Object args,
                                Object locale)

### parseStyle

    public Object parseStyle(Object styleStr)

### resolveLocale

    public Object resolveLocale(Object localeAttr)

### messageHelper

    public String messageHelper(Object code,
                                Object defaultMessage,
                                Object args)

### messageHelper

    public String messageHelper(Object code,
                                Object defaultMessage)

### messageHelper

    public String messageHelper(Object code)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project